# Pedometer

An action block that counts each step a person takes.

If the proceed option is set to Immediately, then the steps taken since “hardware reset” is retrieved without pausing the fiber. If set to When steps taken, then the fiber is paused until at least minimum steps has been taken. If set to When standstill, then the fiber will pause until standing still for the minimum standstill duration after at least minimum steps.

When using proceed When steps taken and one (1) minimum steps the block will await a single step using a sensor without an internal counter that may be less accurate than awaiting multiple steps, or using proceed When standstill.

“Hardware reset” is usually a device reboot but could also be due to the sensor hardware having been turned off, so when using proceed Immediately expect that the steps taken output may reset to zero, or any other value, at any time.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum steps — minimum number of steps to be taken, ignored for proceed Immediately, default 1.
- Minimum standstill duration — minimum amount of time considered as standstill, only used with proceed When standstill, default is 5 seconds.

## Output variables

- Steps taken — variable to assign the number of steps taken since “hardware reset” when using proceed Immediately, otherwise the steps taken during this block which may be more that minimum steps.
- Last step — variable to assign the unix timestamp of the last step taken.